Subject: bug#8044: Automake should support autotest-based testsuites.

From: Eric Blake <[email-masked]>
Date: Tue, 15 Feb 2011 11:44:06 -0700

[adding autoconf]

On 02/15/2011 11:32 AM, Jack Kelly wrote:
> On Wed, Feb 16, 2011 at 4:39 AM, Stefano Lattarini
> <[email-masked]> wrote:
>> The steps required to set up an autotest-based testsuite are already
>> excellently described in the autoconf manual:
>>  <http://www.gnu.org/software/autoconf/manual/html_node/Making-testsuite-Scripts.html>
>> and seem pretty mechanical, so it shouldn't be too much difficult to
>> teach automake how to reproduce them.
>>
>> Do you think that would be worthwhile?

Absolutely!

>>  If yes, I might attempt an
>> implementation (taking as references/inspiration the autoconf manual
>> and autoconf's own tests/Makefile.am).  I must warn you that that will
>> probably take me some time, tough.
> 
> It sounds useful for some (probably not me, though), but I'd be wary
> of the big warning at the start of the autotest section:
> 
>>> N.B.: This section describes a feature which is still
>>> stabilizing.  Although we believe that Autotest is useful as-is, this
>>> documentation describes an interface which might change in the future:
>>> do not depend upon Autotest without subscribing to the Autoconf mailing
>>> lists.

Maybe it's time to nuke that paragraph from the next autoconf release.
I think we've built up enough of autoconf's testsuite to promise a
stable autotest interface, and that we can commit to maintaining
backwards compatibility when adding further macros for easier testing.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org